import { IDesignItem } from '../../../item/IDesignItem.js';
import { IDesignerCanvas } from '../IDesignerCanvas.js';
import { AbstractExtension } from './AbstractExtension.js';
import { IExtensionManager } from './IExtensionManger.js';
export interface HighlightElementExtensionOptions {
    useSvgGeometryOutline?: boolean;
    includeSvgMarkers?: boolean;
}
export declare class HighlightElementExtension extends AbstractExtension {
    private _rect;
    private _options;
    constructor(extensionManager: IExtensionManager, designerView: IDesignerCanvas, extendedItem: IDesignItem, options?: HighlightElementExtensionOptions);
    extend(): void;
    refresh(): void;
    dispose(): void;
}
